# ApplicationFramework
TKCDF
PCDM

# PCDM_ReadWriter_1 Class Reference

`#include <PCDM_ReadWriter_1.hxx>`

Inheritance diagram for PCDM_ReadWriter_1:

[legend]

## Public Member Functions

Standard_EXPORT | PCDM_ReadWriter_1 ()
Standard_EXPORT TCollection_AsciiString | Version () const
| returns PCDM_ReadWriter_1.
Standard_EXPORT void | WriteReferenceCounter (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument) const
Standard_EXPORT void | WriteReferences (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument, const TCollection_ExtendedString &theReferencerFileName) const
Standard_EXPORT void | WriteExtensions (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument) const
Standard_EXPORT void | WriteVersion (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument) const
Standard_EXPORT Standard_Integer | ReadReferenceCounter (const TCollection_ExtendedString &aFileName, const Handle(CDM_MessageDriver)&theMsgDriver) const
Standard_EXPORT void | ReadReferences (const TCollection_ExtendedString &aFileName, PCDM_SequenceOfReference &theReferences, const Handle(CDM_MessageDriver)&theMsgDriver) const
Standard_EXPORT void | ReadExtensions (const TCollection_ExtendedString &aFileName, TColStd_SequenceOfExtendedString &theExtensions, const Handle(CDM_MessageDriver)&theMsgDriver) const
Standard_EXPORT Standard_Integer | ReadDocumentVersion (const TCollection_ExtendedString &aFileName, const Handle(CDM_MessageDriver)&theMsgDriver) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Private Member Functions

static Standard_EXPORT void | ReadUserInfo (const TCollection_ExtendedString &aFileName, const TCollection_AsciiString &Start, const TCollection_AsciiString &End, TColStd_SequenceOfExtendedString &theUserInfo, const Handle(CDM_MessageDriver)&theMsgDriver)

## Constructor & Destructor Documentation

Standard_EXPORT PCDM_ReadWriter_1::PCDM_ReadWriter_1 | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const PCDM_ReadWriter_1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PCDM_ReadWriter.

Standard_EXPORT Standard_Integer PCDM_ReadWriter_1::ReadDocumentVersion | ( | const TCollection_ExtendedString & | aFileName,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

Standard_EXPORT void PCDM_ReadWriter_1::ReadExtensions | ( | const TCollection_ExtendedString & | aFileName,
|  | TColStd_SequenceOfExtendedString & | theExtensions,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

Standard_EXPORT Standard_Integer PCDM_ReadWriter_1::ReadReferenceCounter | ( | const TCollection_ExtendedString & | aFileName,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

Standard_EXPORT void PCDM_ReadWriter_1::ReadReferences | ( | const TCollection_ExtendedString & | aFileName,
|  | PCDM_SequenceOfReference & | theReferences,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

static Standard_EXPORT void PCDM_ReadWriter_1::ReadUserInfo | ( | const TCollection_ExtendedString & | aFileName,
|  | const TCollection_AsciiString & | Start,
|  | const TCollection_AsciiString & | End,
|  | TColStd_SequenceOfExtendedString & | theUserInfo,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | `[static, private]`

Standard_EXPORT TCollection_AsciiString PCDM_ReadWriter_1::Version | ( |  | ) | const`[virtual]`

| Implements PCDM_ReadWriter.

Standard_EXPORT void PCDM_ReadWriter_1::WriteExtensions | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

Standard_EXPORT void PCDM_ReadWriter_1::WriteReferenceCounter | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

Standard_EXPORT void PCDM_ReadWriter_1::WriteReferences | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument,
|  | const TCollection_ExtendedString & | theReferencerFileName
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

Standard_EXPORT void PCDM_ReadWriter_1::WriteVersion | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument
| ) | const`[virtual]`

| Implements PCDM_ReadWriter.

The documentation for this class was generated from the following file:

- PCDM_ReadWriter_1.hxx